Bug 343421 - multiarch conflicts in wfmath
multiarch conflicts in wfmath
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wfmath (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:59 EDT by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-16 12:50:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:59:16 EDT
wfmath (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/wfmath-devel-0.3.6/html/MersenneTwister_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/annotated.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/atlasconv_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/axisbox_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/axisbox__funcs_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/ball_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/ball__funcs_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1AxisBox-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1AxisBox.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Ball-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Ball.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Point-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Point.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Polygon-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Polygon.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Polygon_3_012_01_4-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Polygon_3_012_01_4.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Quaternion-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Quaternion.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1RotBox-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1RotBox.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1RotMatrix-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1RotMatrix.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Segment-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Segment.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Shape-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Shape.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1TimeDiff-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1TimeDiff.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1TimeStamp-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1TimeStamp.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Vector-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/classWFMath_1_1Vector.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/const_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/error_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/files.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x62.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x63.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x64.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x65.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x66.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x67.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x68.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x69.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x6c.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x6d.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x6e.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x6f.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x70.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x71.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x72.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x73.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x74.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x75.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x76.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x78.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x79.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_0x7a.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_func.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/functions_rela.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/index.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/int__to__string_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/intersect_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/intersect__decls_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/namespaceWFMath.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/namespacemembers.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/namespacemembers_func.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/namespacemembers_type.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/namespacemembers_vars.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/namespaces.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/point_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/point__funcs_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/polygon_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/polygon__funcs_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/polygon__intersect_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/probability_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/quaternion_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/randgen_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/rotbox_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/rotbox__funcs_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/rotmatrix_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/rotmatrix__funcs_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/segment_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/segment__funcs_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/shape_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/shuffle_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/stream_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/structWFMath_1_1ColinearVectors-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/structWFMath_1_1ColinearVectors.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/structWFMath_1_1ParseError-members.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/structWFMath_1_1ParseError.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/timestamp_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/vector_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/vector__funcs_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/doc/wfmath-devel-0.3.6/html/wfmath_8h-source.html from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/man/man3/WFMath_AxisBox.3.gz from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/man/man3/WFMath_Point.3.gz from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/man/man3/WFMath_RotMatrix.3.gz from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/man/man3/WFMath_Shape.3.gz from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8
  file /usr/share/man/man3/WFMath_Vector.3.gz from install of wfmath-devel-0.3.6-3.fc8 conflicts with file from package wfmath-devel-0.3.6-3.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Wart 2007-10-19 22:26:43 EDT
I suspect these conflicts are caused by differing timestamps on the
documentation files.  The doc files will have different timestamps because they
are generated separately for each architecture.

I think the workaround is to reset the timestamps on all of the doc files, using
the timestamp from the configure script as a reference.
Comment 2 Wart 2007-10-21 15:59:49 EDT
It's a little trickier than this, unfortunately.  The documentation files are
generated by Doxygen, and not only have different timestamps on the filesystem
files, but also have timestamps in the footer.  They also have UUIDs in links
inside all of the generated documentation files.
Comment 3 Wart 2007-12-16 12:50:49 EST
Thanks to the updated doxygen package in Rawhide, this has now been fixed.

Note You need to log in before you can comment on or make changes to this bug.